/* -*- Mode: C -*-
 * This file is part Tempura: Interval Temporal Logic interpreter.
 *  
 * Copyright (C) 1998-2019 Antonio Cau 
 *
 * Tempura is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Tempura is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Tempura.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


define cache0 = 
 [[1,2],[3,4],[5,6],[7],[8],[9],[10,11],[12],[13],[14],[15],[16],[],
  [],[],[],[]].

define cache1 =
  [[1,2],[3,4],[5,6],[7,8],[9,10],[11,12],[13,14],[15,16],[],[],[],[],
   [],[],[],[],[]].

define cache2 =
 [[1,2],[3,4],[5,6],[7],[8],[9],[10],[11],[],[12],[13],[14],[15],[16],
  [17],[18],[19],[20],[21],[22],[],[],[]].

define cache = cache2.

define mcache(N) = {
  if N=[] then []
  else cache[N[0]]
}.

